import { Injectable } from '@angular/core';
import { FileList } from  './filelist'
import { Observable, of } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class DataproviderService {

  constructor() { 
    this.mock_FILELIST = {
      subFolderList: ["AAAA", "BBBB"],
      musicList: [
        {
          fileName: "CCCCC.mp3",
          fileSize: 9951652,
          modifiedTime: 1556423252
        }
      ]
    }
  }

  mock_FILELIST : FileList;
  
  getFileList(path : string) : Observable<FileList> {
    return of(this.mock_FILELIST);
  }
}
